Bug 298318 - <object> tags do not work if modules are disabled
Summary: <object> tags do not work if modules are disabled
Status: RESOLVED FIXED
Alias: None
Product: konqueror
Classification: Unclassified
Component: khtml (show other bugs)
Version: 4.8.2
Platform: openSUSE RPMs Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Konqueror Developers
URL: http://greenbytes.de/tech/tc/datauri/
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-17 18:29 UTC by Rolf Eike Beer
Modified: 2013-05-04 14:25 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rolf Eike Beer 2012-04-17 18:29:16 UTC
The test URL above makes use of embedded objects using data attributes with data URLs. They are only rendered as empty box, not using the content of the data URL. Switching the engine to Webkit makes the embedded content appear.

Version is KDE SC 4.8.2.

Reproducible: Always
Comment 1 Rolf Eike Beer 2012-05-08 18:12:02 UTC
The problem here is that I deactivated modules. If modules are disabled the <object> tag seems to not work at all. It should at least work for stuff that could be handled internally (like text/html) and preferably also for text/plain.

David Faure had a quick patch for that that did at least the first part.
Comment 2 David Faure 2013-04-18 16:42:57 UTC
http://www.davidfaure.fr/2013/plugins_disabled.diff

I'll test it a bit in my checkout before pushing it (to catch possible regressions; I don't disable modules).
Comment 3 David Faure 2013-05-04 14:25:05 UTC
Git commit c2d7928e5b2d3b845d7f648408e98d74fc99fb2c by David Faure.
Committed on 18/04/2013 at 18:40.
Pushed by dfaure into branch 'master'.

Fix "<object> tags don't work if modules are disabled"

They should keep working for text/html, at least.

M  +0    -6    khtml/html/html_objectimpl.cpp
M  +5    -0    khtml/khtml_part.cpp

http://commits.kde.org/kdelibs/c2d7928e5b2d3b845d7f648408e98d74fc99fb2c